# Class AwtColor

java.lang.Object
java.awt.Color
org.jmol.awt.AwtColor

All Implemented Interfaces:
  `Paint, Transparency, Serializable, GenericColor`

public class AwtColor extends Color implements GenericColor

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class Color

`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

### Fields inherited from interface Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

## Constructor Summary

Constructors
Constructor
Description
`AwtColor(int rgb)`
`AwtColor(int r, int g, int b)`
`AwtColor(int r, int g, int b, int a)`

## Method Summary

Modifier and Type
Method
Description
`GenericColor`
`addAlpha(int a)`
`int`
`getOpacity255()`

### Methods inherited from class Color

`brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface GenericColor

`getRGB`

## Constructor Details

### AwtColor

public AwtColor(int rgb)

### AwtColor

public AwtColor(int r, int g, int b)

### AwtColor

public AwtColor(int r, int g, int b, int a)

## Method Details

### addAlpha

public GenericColor addAlpha(int a)

Specified by:
  `addAlpha` in interface `GenericColor`

### getOpacity255

public int getOpacity255()

Specified by:
  `getOpacity255` in interface `GenericColor`